Home
My Page
Projects
OpenVAS

[#1248] [openvas-manager] Don't use "-" in the version string but "." instead

Date:
2010-01-17 18:16
Priority:
3
State:
Closed
Submitted by:
Stephan Kleine (bitshuffler)
Assigned to:
Nobody (None)
Architecture:
None
Product:
None
Operating System:
None
Component:
openvas-manager
Version:
None
Severity:
None
Resolution:
Fixed
Hardware:
None
URL:
 
Summary:
[openvas-manager] Don't use "-" in the version string but "." instead

Detailed description
Please don't use "-" in the version string - e.g. not "1.0.0-beta1" but instead do "1.0.0.beta1".



Reasoning is that rpm complains about "-" not being allowed in the version string which then forces me to edit the spec file in multiple places and generally makes it more painfully to package.



Thanks a lot for understanding.

Followup

Message
Date: 2017-01-13 10:24
Sender: Michael Wiegand

The version scheme for beta releases has since changed to '1.2+beta3' which
seems to work for everybody. Closing here.

Attached Files:

Changes:

Field Old Value Date By
ResolutionNone2017-01-13 10:24mwiegand
close_dateNone2017-01-13 10:24mwiegand
status_idOpen2017-01-13 10:24mwiegand

This site is hosted by Intevation GmbH